\documentclass[main.tex]{subfiles}
 
\begin{document}
\section{Sketches and wireframes}

% Template for new wireframes

% \subsection{W1: Wireframe 1}
% \subsubsection*{Description}
% \begin{figure}[!h]
%     \centering
%     \includegraphics[scale = 0.19, angle = 90]{wireframe1}
%     \caption{wireframe1}
%     \label{fig:wireframe1}
% \end{figure}
% \subsubsection*{Related Userstories}

\subsection{W1: Desktop home view of ADAM website}
\subsubsection*{Description}
The home view of the adam website that is displayed when the website is opened. In the left sight of the header is the adam logo, in the center the software name adam. In the right corner of the header is the help function displayed as a questionmark. It is neighboured by a menu with will provide extra options for the user. It is visualized through 3 vertical lines.

In the center of the page the content is displayed. It starts with a headline. Beneath it the page is splitted in horizontal parts. In the left part a carousel function shows different screen shots from  the system. Different functions and more information about the systems are listed below. On the right side of the content are 2 buttons with included text fields. The upper blue one is used to create a survey ( using the entered id in the text field), while the red one below is used to evaluate an already existing survey. The survey is selected by entering the id in the text field.

In the left corner of the footer clickable elements for "About us", "contact", and "impressum".
The About us element opens a page with extra information, like intention and motivation, about the adam team. The contact element opens a contact form, so that the user can give feedback to the provider. The impressum elements opens the impressum page.

\begin{figure}[!h]
    \centering
    \includegraphics[scale=0.23]{homeview}
    \caption{Home view of ADAM website - desktop}
    \label{fig:homeview}
\end{figure}
% \begin{itemize}
%     \item Header
%     \begin{itemize}
%         \item logo (working version -- pear)
%         \item software name (working title ADAM)
%         \item help (questionmark as indice to find help)
%         \item more options (hamburger button, three lines, icon for listings)
%     \end{itemize}
%     \item Footer
%     \begin{itemize}
%         \item About Us
%         \item contact 
%         \item impressum
%     \end{itemize}
%     \item Content
%     \begin{itemize}
%         \item Welcome note
%         \item pictures of the ADAM software (using a carousel) 
%         \item Features (principle features, details not in home view)
%         \item button for creating new survey with possibility for naming
%         \item button for managing an old survey via its name/token
%     \end{itemize}
% \end{itemize}
\newpage
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the adam start page}
\label{tab:W1}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
help            & click           & help page opens   \\ \hline
more options    & click           & menu with extra options drops out \\ \hline
About us        & click           & page with information about the adam project opens \\ \hline
contact         & click           & contact page opens \\ \hline
impressum       & click         & impressum page opens \\ \hline
create survey   & click         & opens survey creation page (uses entered id as reference)\\ \hline
create survey text field & click    & cursor appears in the field (auto focus) \\ \hline
create report   & click         & opens evaluation page (use entered id as reference) \\ \hline
create report text field   & click  & cursor appears in the text field (auto foucs)\\ \hline 
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
        \item As a DPC, I want the website to have an impressum.
        \item As a DPC, I want the website to inform the user about the provider and his intentions and motivations.
        \item As a DPC, I want the website to have contact information.
        \item As a DPC, I want the website to provide a link to the privacy notice next to the impressum all the time.
        \item As a DPC, I want the website to inform the user about the provider and his intentions and motivations.
        \item As a researcher, I want to create reports for closed surveys, so that I can visualize the survey results.
        \item As a survey creator, I want to create individual surveys, so that I can fit individual samples and goals.
\end{itemize}

\newpage
\subsection{W2: Frame of Evaluation Screen on Desktop}
\label{sec:FrameEva}
\subsubsection*{Description}
This displays the frame for the survey evaluation screen, consisting of a free space in the center for all details that will be displayed during creation of an evaluation, a menu bar at the top, a list of the created individual evaluations of single questions on the left and the selectable tools on the right. One evaluation at a time is editable.
\begin{figure}[!h]
    \centering
\includegraphics[scale=0.33]{Desktop/evaluation_frame}
    \caption{Creation view}
    \label{fig:evalutonframe}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the evaluation frame}
\label{tab:W2}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
creation        & click         & opens the creation page for a new survey\\ \hline
evaluation      & click         & opens the start evaluation view\\ \hline
menu            & click         & drops out a menu with extra option for the actual context\\ \hline
camera          & click         & opens the preview for the selected question\\ \hline
brush           & click         &   \\ \hline
clock           & click         & \\ \hline
gear            & click         & \\ \hline 
arrow (down)    & click         & starts a download of the created report\\ \hline
eval x          & click         & opens evaluation for question x \\ \hline
circled plus    & click         & opens new evaluation view (W5)\\ \hline
About us        & click           & page with information about the adam project opens \\ \hline
contact         & click           & contact page opens \\ \hline
impressum       & click         & impressum page opens \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a researcher, I want a context sensitive menu bar to show me only the tools i can use in this situation.
    \item As a researcher , I want to export my reports.
    \item As a DPC, I want the website to provide a link to the privacy notice next to the impressum all the time.
\end{itemize}

\newpage
\subsection{W3: Creation View Desktop}
\subsubsection*{Description}
This displays the screen for the survey creation, consisting of a question in the center, a menubar at the top, a list of the survey's questions on the left and the selectable tools on the right. One question at a time is editable.
\begin{figure}[!h]
    \centering
\includegraphics[scale=0.13]{creation_view}
    \caption{Creation view}
    \label{fig:creationview}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
\subsubsection*{Related Userstories}
\begin{itemize}
        \item As a survey participant, I want to use my desktop
\end{itemize}

\newpage
\subsection{W4: Evaluation view Desktop}
\subsubsection*{Description}
This wireframe displays the screen for one already evaluated question. It is framed by the in \autoref{sec:FrameEva} described frame for the evaluation part. The screen consist of the result/visualization of the evaluation of one question in the center. In the top the number and the title of the question is shown. Below the result a discard, preview and a complete button are showed. Only one result is editable at a time. 

\begin{figure}[!h]
    \centering
    \includegraphics[scale=0.33]{Desktop/plotview_eval}
    \caption{Evaluation view}
    \label{fig:evaluationview}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
The functionality of the frame is already described in \autoref{sec:FrameEva}. Context sensitive elements of the menu bar are described again.
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the evaluation frame}
\label{tab:W4}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
discard     & click         & discards the actual shown visualization/result of the evaluation\\ \hline
preview     & click         & not clickable - no action \\ \hline
complete    & click         & saves the evaluation of this question; shows the complete evaluation\\\hline
download    & click         & downloads the result of this questions as pdf file\\ \hline
edit (brush)& click         & opens the view to edit the visualization \\ 
\hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
    \begin{itemize}
    \item As a researcher, I want to see my generated reports in the web browser.
    \item As a researcher , I want to export my reports.
    \item As a researcher, I want to be able to export raw data to do sophisticated manual analysis on them.
    \end{itemize}
\newpage
\subsection{W5: New evaluation view Desktop}
\subsubsection*{Description}
View to create a new evaluation/ visualization for one question. The view is surrounded by the in \autoref{sec:FrameEva} described evaluation frame. On the left side a list of all question is shown. In the rest of the view visualization methods are displayed. Each method is framed in a square and consist of a image and a title. A check box for free-text field clustering is shown in the top.

\begin{figure}[!h]
    \centering
    \includegraphics[scale = 0.33]{Desktop/choose_eval}
    \caption{New Evaluation}
    \label{fig:neweval}
\end{figure}
\subsubsection*{Possible Interactions and Reactions}

\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the new evaluation view}
\label{tab:W5}
\begin{tabularx}{\textwidth}{|l|l|C|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
free-text clustering check box & click   & box get checked; when selecting an visualization there are options for clustering \\ \hline
Pie chart   & click     & opens the create new evaluation detailed view with pie chart option\\ \hline
Diagram     & click     & opens the create new evaluation detailed view with diagram option\\ \hline
Plot        & click     & opens the create new evaluation detailed view with plot option\\ \hline
Table       & click     & opens the create new evaluation detailed view with Table option\\ \hline
Question x  & click     & highlights the field; the afterwards select evaluation is created for this question\\ \hline
\end{tabularx}
\end{table}
\subsubsection*{Related Userstories}
    \begin{itemize}
    \item As a researcher, I want to see a boxplot representation of the evaluation of a question.
    \item As a researcher, I want to see a piechart for each question in the generated report.
    \item As a researcher, I want to plot the results of one question in one graph.
    \item As a researcher, I want to have an option for automated clustering of free-text-field questions to save time.
    \item As a researcher, I want to be able to select the free-text questions fields for that I want clustering.
    \end{itemize}

\newpage
\subsection{W6: New evaluation detailed view Desktop}
\subsubsection*{Description}
View for the creation of a new plot. The view opened after the a plot type was selected in the new evaluation view. The view is framed by the evaluation frame. In the upper left corner the question number and title are displayed. In the center of the the view is the plot. The content of the title, y-axis as well as x-axis are editable. There are are preview, discard and a complete button.

\begin{figure}[!h]
    \centering
    \includegraphics[scale = 0.33]{Desktop/plotcreate_eval}
    \caption{New Evaluation}
    \label{fig:newevaldet}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the new evaluation detailed view}
\label{tab:W6}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
plot title  & click & editable text field with title open \\ \hline
y-axis      & click & editable text field for y-axis open \\ \hline
x-axis      & click & editable text field for x-axis open \\ \hline
discard     & click & discards the actual visualization attempt; opens evaluation view\\ \hline
preview     & click & open a preview of the current visualization with select options \\ \hline
complete    & click & saves the current visualization for the questions; opens evalution view \\ \hline
camera (menubar) & click & same as preview button \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
    \begin{itemize}
    \item As a researcher, I want to plot the results of one question in one graph.
    \item As a researcher, I want a preview function for a plot for a single question.
    \item As a researcher, I want to discard a created preview.
    \end{itemize}
\newpage
\subsection{W7: New question view Desktop}
\subsubsection*{Description}
A new question is created. The possible question types (free-text, checkbox, ...) can be selected from the list on the right.
\begin{figure}[!h]
    \centering
    \includegraphics[scale = 0.19, angle = 270]{create_questions_upper}
    \caption{New Question}
    \label{fig:newques}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
\subsubsection*{Related Userstories}
    \begin{itemize}
        \item As a professor, I want free-text fields answers.
        \item As a professor, I want to use dropdown-answer questions.
    \end{itemize}


\newpage
\subsection{W8: New question Detailed View Desktop}
\subsection*{Description}
A new question is created. Question text, title and possible answers are configured. At the bottom discard, preview and complete buttons are selectable.
\begin{figure}[!h]
    \centering
    \includegraphics[scale = 0.19, angle = 270]{create_questions_lower}
    \caption{New Question}
    \label{fig:newquesdet}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
\subsubsection*{Related Userstories}
    \begin{itemize}
    \item As a professor, I want to spend at most five minutes per question when creating a survey, so that I can do other work.
    \end{itemize}

\newpage
\subsection{W9: Survey settings view}
\subsubsection*{Description}
This screen displays the survey settings. Survey title and time are selected for configuration.
\begin{figure}[!h]
    \centering
    \includegraphics[scale=0.13]{settings}
    \caption{General settings for a survey}
    \label{fig:surveysettings}
\end{figure}

\subsubsection*{Possible Interactions and Reactions}
\subsubsection*{Related Userstories}
    \begin{itemize}
    \item As a survey creator, I want to set start and end time of the survey beforehand.
    \end{itemize}

\newpage
\subsection{W10: Clustering Desktop}
\subsubsection*{Description}
The detailed create evaluation view that opens when the clustering check box is checked.
It is framed by the evaluation frame.
In the top of the view the question number and title are displayed.
Below it shows a sliding adjuster for the clustering threshold, that is used to determine if two answers are placed in the same group.
On the left side there is a text field providing another possibility to insert the threshold. 
A button for an information tool tip is displayed On the right side of the adjuster.
Below the the threshold adjustment block there is the button to start the clustering.
The result of the clustering is shown below the button in the center of the view.
A discard button is place right next to the create diagram button in the bottom of the view.

\begin{figure}[!h]
    \centering
    \includegraphics[scale=0.33]{Desktop/cluster_eval}
    \caption{Clustering}
    \label{fig:clustering}
\end{figure}
\newpage
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the new evaluation detailed view}
\label{tab:W10}
\begin{tabularx}{\textwidth}{|l|l|C|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
 threshold text field   & click & cursor appears; possible to enter value\\ \hline
 threshold adjuster     & click \& hold & the adjuster can be moved up and down; the threshold value changes accordingly \\ \hline
 cluster/update button  & click & cluster the data using the given threshold; results are shown below \\ \hline
 discard button & click & discard the current clustering and visualization attempt; return to evaluation view\\ \hline
 create diagram button & click  & creates a diagram based on the created grouping \\ \hline
 arrow (down) in grouping overview & click & opens a detailed view showing the answers in this group \\ \hline
\end{tabularx}
\end{table}
\subsubsection*{Related Userstories}
    \begin{itemize}
    \item As a researcher, I want to have an option for automated clustering of free-text-field questions to save time.
    \item As a researcher, I want to select the degree of similarity for clustering similar free text fields questions.
    \item As a researcher, I want to see how many answers got rated as similar by the algorithms.
    \item As a researcher, I want to be able to compare all answer that got rated similar to check the correctness.
    \end{itemize}

\newpage
\subsection*{User interface showing participation in a survey}
\subsection{W11: Welcome Screen}
\subsubsection*{Description}
The welcome view that is shown when a participant opens the survey. There are two existing version. One is for desktop users and one for mobile ones. The header contains adam logo in the left corner, the adam name in the middle of the header and a menu in the right corner. Moreover, the header is used as progressbar. With ongoing progress the header will turn darker.
Below a welcome text is displayed.
On the left hand-corner of the view is a disabled previous button. On the right-hand corner a clickable next button is shown.
\begin{figure}[!hb] 
    \centering
    \subfigure[Welcome display desktop]{\includegraphics[width=0.7\textwidth]{images/Desktop/welcome.png}}
    \subfigure[Welcome display smartphone]{\includegraphics[width=0.28\textwidth]{images/Mobile/welcome.png}}
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the survey welcome view}
\label{tab:W11}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
next button & click & open data protection notice view\\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a survey participant, I want to use my phone.
    \item As a survey creator, I want the survey to work on mobile devices as well, so that more people fill it out.
    \item As a participant, I want a touchable back and forward button for the survey participation, when filling out a survey on a mobile device.
    \item As a survey participant, I want to use my desktop PC to fill out the survey.
\end{itemize}
\newpage

\subsection{W12: Asking for Accepting the privacy notice}
\subsubsection*{Description}
This is the view that is shown after the welcome view. It also consists of the header as well as well as the privacy notice that is required by the GDPR. The privacy notice can be expanded by clicking on the bar with an arrow down. Below the privacy notice is one decline and one accept button.
In the bottom left the previous button is clickable, the next button on the right side is not, because it is disabled.
\begin{figure}[!hb] 
    \centering
    \subfigure[Accept or decline Data Protection Notice on desktop]{\includegraphics[width=0.7\textwidth]{images/Desktop/datenschutzbelehrung.png}}
    \subfigure[Accept or decline Data Protection Notice on smartphone]{\includegraphics[width=0.28\textwidth]{images/Mobile/datenschutzbelehrung.png}} 
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the privacy notice view}
\label{tab:W12}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
decline button  & click & opens decline privacy notice view \\ \hline
accept button   & click & enables next button\\ \hline
bar with arrow down & click & expands the privacy notice \\ \hline
next button (enabled) & click & open first question view\\ \hline
previous button & click & brings the user back to the welcome view \\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a DPC, I want every survey to have a custom privacy notice according to article 13.
    \item As a DPC, I want that everyone has to actively click a button to accept the data protection notice before doing anything.
    \item As a DPC, I want the system to inform the user if the survey is anonymous or not.
    \item As a DPC, I want that the user is informed that he is not allowed to enter identifying content, if it is an anonymous survey.
\end{itemize}
\newpage
\subsection{W13: Declined Data Protection Notice}
\subsubsection*{Description}
The view displayed when the user declined the privacy notice. It shows the privacy notice. It is again expandable through clicking the downside arrow. Below the privacy notice a text is displayed stating that no data is stored. Furthermore, the text asked for feedback why the privacy notice got declined.
In the bottom of the view a previous and a bye button are placed.
\begin{figure}[!hb] 
    \centering
    \includegraphics[width=0.9\textwidth]{images/Desktop/Desktop-GDPRdeclined.png}
    \caption{Declined Data Protection Notice}
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the privacy notice view}
\label{tab:W13}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
bar with arrow down & click & expands the privacy notice \\ \hline
bye button & click & shows a notice that the browser tab now can be closed\\ \hline
previous button & click & brings the user back to the privacy notice view \\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a DPC, I want that the system stores no personal information until the user agrees to that because of the GDPR.
\end{itemize}
\newpage

\subsection{W14: Multi-line free-text question}
\subsubsection*{Description}
The view for multi-line questions in the participation view. It consist of the adam header and view below it. The question is stated in a centered box below the header.
The free text answer field is placed below the question. When clicking into the field a cursor appears. If the entered text get to long, the user is able to use a scrollbar at the right side of the field. In the bottom left of the view a previous is placed. The next button is on the right side.
\begin{figure}[!hb] 
    \centering
    \subfigure[Multi-line free-text field question on desktop]{\includegraphics[width=0.7\textwidth]{images/Desktop/question1.png}}
    \subfigure[Multi-line free-textfield question on smartphone]{\includegraphics[width=0.28\textwidth]{images/Mobile/question1.png}}\\[1cm]
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions in the multi line free text field question view}
\label{tab:W14}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
text field (not focused)   & click & text field is focused and a cursor appears in it \\ \hline
text field (focused)       & typing & the input appears in the text field \\ \hline
scrollbar                   & moving & scrolling up and down \\ \hline
next button                 & click & open next question view or Good Bye screen\\ \hline
previous button             & click & brings the user back to the previous view \\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a professor, I want free-text fields answers.
\end{itemize}
\newpage

\subsection{W15: Single-line free-text question}
\subsubsection*{Description}
The view that is displayed when a question should be shown, that requires a single line free text answer. It consists of the header and the view. The question is stated in a centered box below the header.
The free text answer field is placed below the question. When clicking into the field a cursor appears. In the bottom left of the view a previous is placed. The next button is on the right side.
\begin{figure}[!hb] 
    \centering
    \subfigure[Single-line free-text field question on desktop]{\includegraphics[width=0.7\textwidth]{images/Desktop/question2.png}}
    \subfigure[Single-line free-text field question on smartphone]{\includegraphics[width=0.28\textwidth]{images/Mobile/question2.png}}
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions on the single line free text question view}
\label{tab:W15}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
text field (not focused)   & click & text field is focused and a cursor appears in it \\ \hline
text field (focused)       & typing & the input appears in the text field \\ \hline
next button                 & click & open next question view or Good Bye screen\\ \hline
previous button             & click & brings the user back to the previous view \\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a professor, I want free-text fields answers.
\end{itemize}
\newpage

\subsection{W16: Multiple choice question}
\subsubsection*{Description}
The view that is displayed when a multiple choice question should be shown. It consists of the header and the view. The question is stated in a centered box below the header.
In the center below the question the possible answer are listed. Depending on the question wither one or multiple answers can be selected.
It is possible to show as the last option "Other" with a textfield behind it. 
When clicking in the textfield a cursor appears and it get focused.
In the bottom left of the view a previous is placed. The next button is on the right side.
\begin{figure}[!hb] 
    \centering
    \subfigure[Multiple choice question on desktop]{\includegraphics[width=0.7\textwidth]{images/Desktop/question3.png}}
    \subfigure[Multiple choice question on smartphone]{\includegraphics[width=0.28\textwidth]{images/Mobile/question3.png}}
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions for the multiple choice question view}
\label{tab:W16}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
possible answers            & click & the answer get highlighted and the box checked \\ \hline
text field (not focused)    & click & text field is focused and a cursor appears in it \\ \hline
text field (focused)       & typing & the input appears in the text field \\ \hline
scrollbar                   & moving & scrolling up and down \\ \hline
next button                 & click & open next question view or Good Bye screen\\ \hline
previous button             & click & brings the user back to the previous view \\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a researcher, I want multiple choice question with given answers and a "Other" text field.
    \item As a participant, I want a scrollbar just for the answers of multiple choice questions, because I want to see the question all the time.
\end{itemize}


\newpage

\subsection{W17: Dropdown menu question}
\subsubsection*{Description}
The view used to display dropdown questions. In the top of screen is the adam header.
Below it the question is placed in a centered box. The possible answer can be selected in a scrollable dropdown menu just beneath the question. In the lower left corner is the previous button. In the right corner the next button is placed.
\begin{figure}[!hb] 
    \centering
    \subfigure[Dropdown answer-choice question on desktop]{\includegraphics[width=0.7\textwidth]{images/Desktop/question4.png}}     
    \subfigure[Dropdown answer-choice question on smartphone]{\includegraphics[width=0.28\textwidth]{images/Mobile/question4.png}}     
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions for the dropdown menu question view}
\label{tab:W17}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
possible answers            & click & the answer is highlighted and selected \\ \hline
scrollbar                   & moving & scrolling up and down \\ \hline
next button                 & click & opens next question view or Good Bye screen\\ \hline
previous button             & click & brings the user back to the previous view \\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
    \item As a participant, I want a scrollbar just for the answers of multiple choice questions, because I want to see the question all the time.
    \item As a professor, I want to use dropdown-answer questions.
\end{itemize}
\newpage

\subsection{W18: Good Bye Screens}
\subsubsection*{Description}
The Good Bye screen is shown when the user finishes the survey. It consist of the adam header and some text. The text thanks the user for his participation in the survey. It could also contain some extra information.
In the bottem left corner is an inactive previous button. On the right is a Bye button with an exit symbol.
\begin{figure}[!hb] 
    \centering
    \subfigure[Good Bye screen on desktop]{\includegraphics[width=0.9\textwidth]{images/Desktop/Desktop-GoodBye.png}}
\end{figure}
\subsubsection*{Possible Interactions and Reactions}
\begin{table}[h]
\centering
\caption{Possible Interactions and reactions for the desktop Good Bye screen}
\label{tab:W18}
\begin{tabular}{|l|l|l|}
\hline
\textbf{Item} & \textbf{Action} & \textbf{Reaction} \\ \hline
bye button                 & click & close the tab or shows the user a information to do so\\ \hline
menu        & click & menu drops out \\ \hline
\end{tabular}
\end{table}
\subsubsection*{Related Userstories}
\begin{itemize}
      \item As a researcher, I want to be able to thank the participants at the end of the survey.
\end{itemize}
\newpage

 
% \subsubsection*{Related Userstories - UNSORTED for Participation}
% \begin{itemize}
    
  
% \end{itemize}
\newpage
\end{document}
